## swh-plugins 0.4.15%2b1

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH		?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH),amd64)
	EXTRAFLAGS := --enable-sse
endif

config.status:
	dh_testdir
	autoreconf -f -i
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=\$${prefix}/share/man --enable-shared \
		--infodir=\$${prefix}/share/info --disable-rpath $(EXTRAFLAGS)
	touch configure-stamp

build: build-stamp

build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.cache
	rm -f conftest conftest.c
	rm -f po/*.gmo
	rm -f po/stamp-po
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) install DESTDIR=$(CURDIR)/debian/swh-plugins
	# Remove rpaths.
	chrpath -d -k debian/swh-plugins/usr/lib/ladspa/pitch_scale_1193.so
	chrpath -d -k debian/swh-plugins/usr/lib/ladspa/pitch_scale_1194.so
	chrpath -d -k debian/swh-plugins/usr/lib/ladspa/mbeq_1197.so
	chrpath -d -k debian/swh-plugins/usr/lib/ladspa/imp_1199.so

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## swh-plugins 0.4.17

=== docs/Makefile ===
all: ladspa-swh.html ladspa-swh.pdf

test:
	touch ../amp_1181.xml
	make view

view: ladspa-swh.ps
	gv ladspa-swh.ps

ladspa-swh.tex: ../*.xml
	./makedocs.pl ../*.xml > ladspa-swh.tex
	latex ladspa-swh.tex
	latex ladspa-swh.tex

ladspa-swh.dvi: ladspa-swh.tex
	latex ladspa-swh.tex
	latex ladspa-swh.tex

ladspa-swh.ps: ladspa-swh.dvi
	dvips ladspa-swh.dvi -o

ladspa-swh.pdf: ladspa-swh.ps
	ps2pdf ladspa-swh.ps

ladspa-swh.html: ladspa-swh.tex
	tth -v -Lladspa-swh <ladspa-swh.tex >ladspa-swh-tmp.html
	./addstyle.pl <ladspa-swh-tmp.html >ladspa-swh.html
	rm -f ladspa-swh-tmp.html
	date -I > timestamp.txt

## swh-plugins 0.4.15+1

=== debian/changelog ===
swh-plugins (0.4.15+1-7) unstable; urgency=low

  * Adopting this. Thanks to Patrick Matthäi for the
    great job. (Closes: #622162)
  * Bump debhelper requirement.
  * Turn it into dh short form + dh_autoreconf.
  * Enable git-buildpackage support.
  * Plugins shouldn't call setlocale() as it could screw up the locale
    settings of any application using them. Thanks to Daniel Gibson
    for the patch. (Closes: #672705)
  * Fix buffer overrun that causes explosions on little endian 64bit
    platforms. (Closes: #629263)
  * Don't remove po/*.gmo files in order to preserve upstream's original
    sources tree.
  * debian/patches/01-dont-use-march.diff:
    - Don't patch configure, it's going to be regenerated by autoreconf.
  * Refresh other patches.

 -- Alessio Treglia <alessio@debian.org>  Thu, 27 Dec 2012 16:46:16 +0000

swh-plugins (0.4.15+1-6) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Set the maintainer to the Debian QA Group.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 10 Apr 2011 18:16:21 +0200

swh-plugins (0.4.15+1-5) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 (no changes needed).
  * Convert package to the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 17:07:15 +0100

swh-plugins (0.4.15+1-4) unstable; urgency=low

  * Bump Standards-Version to 3.8.3.
    - Add debian/README.source.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 01 Nov 2009 14:39:10 +0100

swh-plugins (0.4.15+1-3) unstable; urgency=low

  * Disable model specific 3dnow on amd64.
    Closes: #539202

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 30 Jul 2009 09:45:49 +0200

swh-plugins (0.4.15+1-2) unstable; urgency=low

  * Mangle +1 in debian/watch.
  * Do not configure twice: touch configure-stamp.
  * Add again autoconf, automake1.9 and libtool build dependency.
  * Add patch 01-dont-use-march.dpatch which fixes a reopened FTBFS on most
    architectures.
    Closes: #539115
  * Add patch 02-fix-spelling-add-de.po.dpatch which reincludes the german
    translation.
  * Add 03-uptodate-ltmain.dpatch which updates ltmain.sh. Thanks lintian.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Jul 2009 17:12:58 +0200

swh-plugins (0.4.15+1-1) unstable; urgency=low

  * Gettextize and autoreconf the source to fix several FTBFS and build an new
    tarball, because of the bloated diff. Now we can also drop libtool,
    automake1.9 and autoconf from the build dependencys.
  * Build with --enable-shared.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 28 Jul 2009 21:35:17 +0200

swh-plugins (0.4.15-3) unstable; urgency=low

  * New maintainer.
    Closes: #503497
  * Bump Standards-Version to 3.8.2 (no changes needed).
  * Tune the packaging a bit, use install file, drop useless debhelper calls
    and comments.
  * Add missing licenses informations.
    Closes: #532450
  * Build with --enable-sse and --enable-3dnow optimizations on amd64.
  * Remove rpaths from some librarys. Thanks lintian.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 26 Jul 2009 13:38:29 +0200

swh-plugins (0.4.15-2) unstable; urgency=low

  * QA upload.
  * Gettextize to remove bogus hardcoded stuff in libtool. (Closes: #526557).
    + Ugly solution as it balloons the diff.
  * Add build-dep on libxml2-utils.
  * Fix spelling of Display in all files. (Closes: #522375).
  * Add German po file. (Closes: #524440).
    + Thanks to Chris Leick.
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Tue, 19 May 2009 15:51:30 -0400

swh-plugins (0.4.15-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs.
  * Make clean not ignore errors.
  * Add missing comma to depends line in control.
  * Move doc-base section from audio to Sound.
    + Remove excess whitespace from doc-base.
  * Add proper Copyright holders to debian/copyright.
  * Fix changelog date format lines for 0.2.8-2, 0.2.8-3.
  * Add watch file.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.0.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 03 Feb 2009 10:37:41 -0500

swh-plugins (0.4.15-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * The "neither maintainer nor NMUer fixes their shit" upload
  * Fixes provided by Samuel Tardieu, thanks:
  - Stop using idiotic compiler options if you don't know the arch
    closes: #428371, #428435, #440329
  - build-depend libfftw3-dev instead of gone fftw3-dev, closes: #445795
  * Use homepage field

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 13 Apr 2008 21:21:13 +0300

swh-plugins (0.4.15-0.1) unstable; urgency=low

  * Non-Maintainer Upload
  * New upstream release (Closes :#324188)
  * Bumped Standards-Version to 3.7.2

 -- Free Ekanayaka <freee@debian.org>  Mon,  4 Jun 2007 23:42:38 +0200

swh-plugins (0.4.14-1.1) unstable; urgency=medium

  * Non-maintainer upload to fix Failure To Build From Source, due missing
    build-dependency on pkg-config.  Thanks to Daniel Schepler for the
    suggestion (Closes: #380147)

 -- Margarita Manterola <marga@debian.org>  Thu,  3 Aug 2006 18:23:07 -0300

swh-plugins (0.4.14-1) unstable; urgency=low

  * New upstream release
  * Update for C++ and gcc 4.x transitions (Closes: #300243)
  * Bump Standards-Version to 3.6.2.1

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 21 Sep 2005 01:11:27 +1000

swh-plugins (0.4.13-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Sun,  6 Mar 2005 03:43:26 +1100

swh-plugins (0.4.12-1) unstable; urgency=low

  * New upstream release(s)
  * Update plugin documentation
  * This upgrade should fix the amd64 issue with _fini in the
    multiband equaliser (closes: #289804)

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 15 Jan 2005 08:30:40 +1100

swh-plugins (0.4.7-1) unstable; urgency=medium

  * New upstream release


=== debian/control ===
Source: swh-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 chrpath,
 debhelper (>= 9~),
 dh-autoreconf,
 ladspa-sdk,
 libfftw3-dev,
 libtool,
 libxml2-utils,
 pkg-config
Standards-Version: 3.9.2
Homepage: http://plugin.org.uk/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/swh-plugins.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/swh-plugins.git

Package: swh-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 ladspa-plugin
Description: Steve Harris's LADSPA plugins
 Steve Harris has written a large number of plugins for LADSPA
 compatible hosts (e.g. GLAME, Sweep and ecasound). The plugins
 available are:
 .
 amp, fast overdrive, overdrive (with colourisation), comb filter,
 waveshaper, ringmod, divider, diode, decliper, pitch scaler,
 16 band equaliser, sinus wavewrapper, hermes filter, chorus,
 flanger, decimater, oscillator, gverb, phasers, harmonic generators,
 surround encoders and more.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH		?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH),amd64)
	EXTRAFLAGS := --enable-sse
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared \
		--disable-rpath $(EXTRAFLAGS)

override_dh_auto_clean:
	rm -f conftest conftest.c
	rm -f po/stamp-po
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	# Remove rpaths.
	chrpath -d -k debian/swh-plugins/usr/lib/ladspa/pitch_scale_1193.so
	chrpath -d -k debian/swh-plugins/usr/lib/ladspa/pitch_scale_1194.so
	chrpath -d -k debian/swh-plugins/usr/lib/ladspa/mbeq_1197.so
	chrpath -d -k debian/swh-plugins/usr/lib/ladspa/imp_1199.so

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3
opts=dversionmangle=s/\+\d+// \
	http://plugin.org.uk/releases/([\d.]+)/swh-plugins-([\d.]+)\.tar\.gz

## swh-plugins 0.4.16+git20160602~repack1

=== debian/changelog ===
swh-plugins (0.4.16+git20160602~repack1-1) unstable; urgency=medium

  * Remove gsm dir from orig tarball.
  * Introduce README.source file.
  * Add libgsm1-dev as build-dep.
  * Added patch to use system wide gsm.h
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 02 Jun 2016 00:00:57 +0200

swh-plugins (0.4.16+git20160531~repack0-1) unstable; urgency=medium

  * New upstream release. (Closes: #824211)
  * Add patch to fix analoqueOsc. (Closes: #781997)
  * Add libxml-parser-perl as build-dep.
  * Bump Standards.
  * Fix VCS fields.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 01 Jun 2016 16:47:07 +0200

swh-plugins (0.4.15+1-8) unstable; urgency=medium

  * Bump Standards.
  * Enable parallel build.
  * Added patch to fix reproducible build. (Closes: #792424)
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 08 Sep 2015 15:56:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  chrpath,
  debhelper (>= 9~),
@@ -12,11 +13,13 @@
  libfftw3-dev,
  libtool,
  libxml2-utils,
+ libxml-parser-perl,
+ libgsm1-dev,
  pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.8
 Homepage: http://plugin.org.uk/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/swh-plugins.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/swh-plugins.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/swh-plugins.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/swh-plugins.git
 
 Package: swh-plugins
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,17 @@
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
+git_date= $(shell date +%Y%m%d)
+dfsg_version = $(upstream_version)+git$(git_date)~repack1
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_BUILD_ARCH		?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
@@ -22,7 +31,7 @@
 endif
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-shared \
@@ -35,6 +44,9 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	mkdir debian/swh-plugins/usr/lib/ladspa
+	mv debian/swh-plugins/usr/lib/*/ladspa/* debian/swh-plugins/usr/lib/ladspa
+	rm -R debian/swh-plugins/usr/lib/$(DEB_HOST_MULTIARCH)
 	# Remove rpaths.
 	chrpath -d -k debian/swh-plugins/usr/lib/ladspa/pitch_scale_1193.so
 	chrpath -d -k debian/swh-plugins/usr/lib/ladspa/pitch_scale_1194.so
@@ -43,3 +55,14 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
+
+# get-orig-source to drop upstream .gitignore file
+get-orig-source:
+	git  clone  git://github.com/swh/ladspa swh-plugins
+	rm -fR $(pkg)/.git
+	rm -fR $(pkg)/.gitignore
+	rm -fR $(pkg)/gsm
+	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)
+	xz -zf $(pkg)_$(dfsg_version).orig.tar
+	rm -rf $(pkg)
+	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz

## swh-plugins 0.4.17

=== debian/changelog ===
swh-plugins (0.4.17-3build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:03:21 +0200

swh-plugins (0.4.17-3) unstable; urgency=low

  * Team upload.
  * d/copyright: Use https protocol in Format field.
  * d/control: Set Vcs-* to salsa.debian.org.
  * Change maintainer address to debian-multimedia@lists.debian.org.
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Rely on pre-initialized dpkg-architecture variables.

 -- Bastian Germann <bage@debian.org>  Mon, 18 Sep 2023 16:01:07 +0200

swh-plugins (0.4.17-2) unstable; urgency=medium

  * Team upload.
  * Link gsm_1215.so plugin against system libgsm. (Closes: #859395)
  * Fix vocoder-ladspa Breaks/Replaces (replacing the faulty lmms
    Breaks/Replaces).

 -- James Cowgill <jcowgill@debian.org>  Mon, 03 Apr 2017 19:54:39 +0100

swh-plugins (0.4.17-1) unstable; urgency=medium

  * Exclude .gitignore file from upstream tarball.
  * New upstream version 0.4.17
  * Patches applied upstream.
  * Set dh/compat 10.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 05 Nov 2016 05:47:12 +0100

swh-plugins (0.4.16+git20160602~repack1-2) unstable; urgency=medium

  * Use Breaks-Replace for lmms package containing vocoder plugin.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 06 Jun 2016 14:13:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: swh-plugins
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  chrpath,
- debhelper (>= 9~),
- dh-autoreconf,
+ debhelper-compat (= 12),
  ladspa-sdk,
  libfftw3-dev,
  libtool,
@@ -18,14 +18,19 @@
  pkg-config
 Standards-Version: 3.9.8
 Homepage: http://plugin.org.uk/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/swh-plugins.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/swh-plugins.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/swh-plugins.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/swh-plugins
 
 Package: swh-plugins
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Replaces:
+ vocoder-ladspa (<< 1.1.3-3~),
+ ${cdbs:Replaces}
+Breaks:
+ vocoder-ladspa (<< 1.1.3-3~)
 Provides:
  ladspa-plugin
 Description: Steve Harris's LADSPA plugins

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/swh-plugins-$1\.tar\.gz/ \
  https://github.com/swh/ladspa/tags .*/v?(\d\S*)\.tar\.gz
